Name: jarbundler	
Version: 2.2.0
Release: 2%{?dist}
Summary: A feature-rich Ant task which will create a Mac OS X application bundle

Group:	Development/Libraries
License: ASL 2.0
URL:	http://informagen.com/JarBundler/
Source0: http://informagen.com/JarBundler/dist/jarbundler.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	ant
BuildRequires: jpackage-utils
BuildRequires: java-devel

Requires: ant
Requires: java
Requires: jpackage-utils

BuildArch: noarch

%description
How many times has this happened to you? You've written a little 
Java utility, or maybe even a more complex application, and you 
want to create Mac OS X application bundle for easy distribution.

You'd like to be able to do it automatically from your build 
process, but you're forced to go run the Apple Jar Bundler and 
tweak all the settings manually every time you build.

Well no more! JarBundler is a feature-rich Ant task which will 
create a Mac OS X application bundle from a list of Jar files and 
a main class name. You can add an Icon resource, set various Mac 
OS X native look-and-feel bells and whistles, and maintain your 
application bundles as part of your normal build and release 
cycle. It is free software licensed under the GNU General Public 
License.

%package javadoc
Summary: Javadocs for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}


find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;



%build
export CLASSPATH=
CLASSPATH=build/lib/%{name}-%{version}.jar:$CLASSPATH
echo $ANT_HOME
export OPT_JAR_LIST=:"ant/%{name}-%{version}"
ant jar javadocs

%install
rm -rf %{buildroot}

# jars
install -Dpm 644 %{_builddir}/%{name}-%{version}/build/%{name}-%{version}.jar \
 %{buildroot}/%{_javadir}/ant/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar  %{buildroot}/%{_javadir}/ant/%{name}.jar

mkdir -p %{buildroot}%{_javadir}
cp -a build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p  %{buildroot}/%{_javadocdir}/%{name}
cp -rp %{_builddir}/%{name}-%{version}/javadoc \
 %{buildroot}/%{_javadocdir}/%{name}

mkdir -p  %{buildroot}/%{_sysconfdir}/ant.d
echo "jarbundler" >  %{buildroot}/%{_sysconfdir}/ant.d/jarbundler

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_sysconfdir}/ant.d/jarbundler
%doc LICENSE.TXT

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Apr 21 2011 Johannes Lips <johannes.lips@googlemail.com> - 2.2.0-1
- Update to 2.2.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 27 2010 Johannes Lips <johannes.lips@googlemail.com> - 2.1.0-5
- changed Group of the javadoc package
- consistent usage of  %%{buildroot}

* Thu Aug 26 2010 Johannes Lips <johannes.lips@googlemail.com> - 2.1.0-4
- added installation procedure

* Thu Aug 26 2010 Johannes Lips <johannes.lips@googlemail.com> - 2.1.0-3
- Javadoc included

* Thu Aug 26 2010 Johannes Lips <johannes.lips@googlemail.com> - 2.1.0-2
- License changed
- integration into ant.d
- added the %%doc section

* Thu Aug 26 2010 Johannes Lips <johannes.lips@googlemail.com> - 2.1.0-1
- initial build
